#pragma once

#include <Critical.h>

class NetworkAPIProcessor
{
    static int nextId;
    static Framework::Critical idLock;

    static int generateId();

    int id;

public:
    NetworkAPIProcessor();
    virtual void api(char* message) = 0;
    int getId() const;
};